Package org.eclipse.ecf.core.sharedobject.security

# Interface ISharedObjectPolicy

All Superinterfaces:
  `IContainerPolicy`

public interface ISharedObjectPolicy extends IContainerPolicy

## Method Summary

Modifier and Type
Method
Description
`PermissionCollection`
`checkAddSharedObject(ID fromID, ID toID, ID localID, ReplicaSharedObjectDescription newObjectDescription)`
Check the request to add a shared object from external source (i.e.

### Methods inherited from interface org.eclipse.ecf.core.security.IContainerPolicy

`refresh`

## Method Details

### checkAddSharedObject

PermissionCollection checkAddSharedObject(ID fromID, ID toID, ID localID, ReplicaSharedObjectDescription newObjectDescription) throws SecurityException
Check the request to add a shared object from external source (i.e. remote container).

Parameters:
  `fromID` - the ID of the container making the container add request
  `toID` - the ID of the container receiving/handling the add request. Null if directed to all containers in group.
  `localID` - the ID of the local container
  `newObjectDescription` - the ReplicaSharedObjectDescription associated with the shared object being added
Returns:
  PermissionCollection the permission collection associated with successful acceptance of the add request. Null if the add should be refused, Non-null if add request is accepted.
Throws:
  `SecurityException` - if request should be refused and associated container should leave group